import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import {InputSize,Currency,FormatAmount,mt300_24D,mt320_24D} from "./Utils"

const FormItem = Form.Item;
const Option = Select.Option

export default class T24D extends Component
{

    name='24D'
    desp = "Dealing Method"
    pattern = "4!c[/35x]"
    tno = -1


    keys=[1,2]
    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
       
        let mval = `${obj.s1}`

        if(obj.s2)
            mval = mval +'/' + obj.s2  
       
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}

        let codetable=mt300_24D;
        if (this.props.mty == 'mt300')
            codetable = mt300_24D
        if (this.props.mty == 'mt320')
            codetable = mt320_24D

        return (<Row>

             <Col style={{"minWidth":'150px'}} span={12}>
                <FormItem
                    label="Method" 
                    required={this.props.status=='M' || mval?'required':null}
                    help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                >
                                    <Select allowClear={true} value={value.s1} placeholder="Method" style={{ width: "100%" }} onChange={val=>this.onChange(1,val)}>
                                    {
codetable.map(item=><Option key={item.code}  value={item.code}>{item.code+'-'+item.name}</Option>)
}
                                    </Select>
                </FormItem>
            </Col>
            <Col  style={{"minWidth":'350px'}} span={3}>
                <FormItem
                 label="Additional Information"  
                    required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s2}
                    validateStatus={errmsg.s2?'error':null}
                >                       
                        <Input  addonBefore="/"  value={value.s2} onChange={e=>this.onChange(2,e.target.value)}  maxLength={35} style={{imeMode:'disabled'}} placeholder="Additional Information"/>
                </FormItem>
            </Col>
      
        </Row>)
    }
}